diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
index de700eb74..9293c965c 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/HudIngameDoom.java
@@ -4,21 +4,22 @@ import it.unimi.dsi.fastutil.ints.IntArrayList;
 import it.unimi.dsi.fastutil.ints.IntList;
 import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.ScreenPhotoMode;
+import net.minecraft.client.render.renderer.BlendFactor;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.enums.HumanArmorShape;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.net.command.TextFormatting;
-import org.lwjgl.opengl.GL11;
 
 public class HudIngameDoom
-    extends HudIngame
-{
+    extends HudIngame {
     private static final int[] NUMBER_WIDTHS = {
-            9, 7, 9, 9, 11, 9, 9, 9, 9, 9
+        9, 7, 9, 9, 11, 9, 9, 9, 9, 9
     };
     private static final int[] NUMBER_US = {
-            0, 9, 16, 25, 34, 45, 54, 63, 72, 81
+        0, 9, 16, 25, 34, 45, 54, 63, 72, 81
     };
 
     public HudIngameDoom(Minecraft minecraft) {
@@ -26,35 +27,31 @@ public class HudIngameDoom
     }
 
     @Override
-    public void renderGameOverlay(float partialTicks, boolean flag, int mouseX, int mouseY)
-    {
-        if (mc.currentScreen instanceof ScreenPhotoMode) return;
+    public void renderGameOverlay(float partialTicks, boolean flag, int mouseX, int mouseY) {
+        if (this.mc.currentScreen instanceof ScreenPhotoMode) return;
 
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
-        mc.worldRenderer.setupScaledResolution();
+        this.mc.worldRenderer.setupScaledResolution();
 
-        GL11.glEnable(GL11.GL_BLEND);
-        GL11.glBlendFunc(GL11.GL_SRC_ALPHA, GL11.GL_ONE_MINUS_SRC_ALPHA);
+        GLRenderer.enableState(State.BLEND);
+        GLRenderer.setBlendFunc(BlendFactor.SRC_ALPHA, BlendFactor.ONE_MINUS_SRC_ALPHA);
 
         // Render vignette
-        if (mc.gameSettings.immersiveMode.drawVignette() && mc.gameSettings.vignette.value)
-        {
-            renderVignette(mc.thePlayer.getBrightness(partialTicks), width, height);
+        if (this.mc.gameSettings.immersiveMode.drawVignette() && this.mc.gameSettings.vignette.value) {
+            renderVignette(this.mc.thePlayer.getBrightness(partialTicks), width, height);
         }
 
         // Render pumpkin overlay
-        ItemStack headSlotItem = mc.thePlayer.getItemInArmorSlot(HumanArmorShape.HEAD);
-        if (mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && (headSlotItem.itemID == Blocks.PUMPKIN_CARVED_IDLE.id() || headSlotItem.itemID == Blocks.PUMPKIN_REDSTONE.id()))
-        {
+        ItemStack headSlotItem = this.mc.thePlayer.getItemInArmorSlot(HumanArmorShape.HEAD);
+        if (this.mc.gameSettings.thirdPersonView.value == 0 && headSlotItem != null && (headSlotItem.itemID == Blocks.PUMPKIN_CARVED_IDLE.id() || headSlotItem.itemID == Blocks.PUMPKIN_REDSTONE.id())) {
             renderPumpkinBlur(width, height);
         }
 
         // Render portal overlay
-        float portalIntensity = mc.thePlayer.prevTimeInPortal + (mc.thePlayer.timeInPortal - mc.thePlayer.prevTimeInPortal) * partialTicks;
-        if (portalIntensity > 0.0F)
-        {
+        float portalIntensity = this.mc.thePlayer.prevTimeInPortal + (this.mc.thePlayer.timeInPortal - this.mc.thePlayer.prevTimeInPortal) * partialTicks;
+        if (portalIntensity > 0.0F) {
             renderPortalOverlay(portalIntensity, width, height);
         }
 
@@ -67,103 +64,87 @@ public class HudIngameDoom
         drawHotbarIndicator();
         drawStacks();
 
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
-        if (mc.gameSettings.immersiveMode.drawCrosshair() && mc.gameSettings.thirdPersonView.value == 0)
-        {
+        if (this.mc.gameSettings.immersiveMode.drawCrosshair() && this.mc.gameSettings.thirdPersonView.value == 0) {
             // Render crosshair
-            GL11.glEnable(GL11.GL_BLEND);
-            GL11.glBlendFunc(GL11.GL_ONE_MINUS_DST_COLOR, GL11.GL_ONE_MINUS_SRC_COLOR);
-            drawGuiIcon(width/2 - 7, height/2 - 7, 15, 15, TextureRegistry.getTexture("minecraft:gui/hud/crosshair"));
-            GL11.glDisable(GL11.GL_BLEND);
+            GLRenderer.enableState(State.BLEND);
+            GLRenderer.setBlendFunc(BlendFactor.ONE_MINUS_DST_COLOR, BlendFactor.ONE_MINUS_SRC_COLOR);
+            drawGuiIcon(width / 2 - 7, height / 2 - 7, 15, 15, TextureRegistry.getTexture("minecraft:gui/hud/crosshair"));
+            GLRenderer.disableState(State.BLEND);
         }
     }
 
-    private void drawBackground()
-    {
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+    private void drawBackground() {
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
 
         // Draw main hotbar
-        drawTexturedModalRectDouble(width / 2d - 197d, height - 43, 0, 0, 197, 43, 1/256d, 1/256d, 0);
-        drawTexturedModalRectDouble(width / 2d, height - 43, 0, 43, 197, 43, 1/256d, 1/256d, 0);
+        drawTexturedModalRectDouble(width / 2d - 197d, height - 43, 0, 0, 197, 43, 1 / 256d, 1 / 256d, 0);
+        drawTexturedModalRectDouble(width / 2d, height - 43, 0, 43, 197, 43, 1 / 256d, 1 / 256d, 0);
 
         // Draw sides
-        int loops = (int) Math.ceil((((width/2d) - 197)/128));
+        int loops = (int) Math.ceil((((width / 2d) - 197) / 128));
         for (int i = 0; i < loops; i++) {
-            drawTexturedModalRectDouble((width / 2d) - 197 - 128 * (i + 1), height - 43, 0, 86, 128, 43, 128, 43, 1/256f, 1/256f);
-            drawTexturedModalRectDouble((width / 2d) + 197d + 128 * i, height - 43, 0, 129 - 43, 128, 43, 128, 43, 1/256f, 1/256f);
+            drawTexturedModalRectDouble((width / 2d) - 197 - 128 * (i + 1), height - 43, 0, 86, 128, 43, 128, 43, 1 / 256f, 1 / 256f);
+            drawTexturedModalRectDouble((width / 2d) + 197d + 128 * i, height - 43, 0, 129 - 43, 128, 43, 128, 43, 1 / 256f, 1 / 256f);
         }
     }
 
-    private void drawFace()
-    {
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+    private void drawFace() {
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
         Face face = Face.NEUTRAL;
-        if (mc.thePlayer.getGamemode().isPlayerInvulnerable())
-        {
+        if (this.mc.thePlayer.getGamemode().isPlayerInvulnerable()) {
             face = Face.GOD;
-        }
-        else if (mc.thePlayer.getHealth() == 0)
-        {
+        } else if (this.mc.thePlayer.getHealth() == 0) {
             face = Face.DEAD;
-        }
-        else if (mc.thePlayer.hurtTime > 0)
-        {
+        } else if (this.mc.thePlayer.hurtTime > 0) {
             face = Face.PAIN;
-        }
-        else if (updateCounter % 200 > 175)
-        {
+        } else if (this.updateCounter % 200 > 175) {
             face = Face.LOOK_RIGHT;
-        }
-        else if (updateCounter % 200 > 150)
-        {
+        } else if (this.updateCounter % 200 > 150) {
             face = Face.LOOK_LEFT;
         }
 
         drawTexturedModalRect(width / 2 - 16, height - 36, face.u, face.v, 32, 32);
     }
 
-    private void drawAmmo()
-    {
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+    private void drawAmmo() {
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
-        ItemStack stack = mc.thePlayer.getHeldItem();
+        ItemStack stack = this.mc.thePlayer.getHeldItem();
         if (stack == null) return;
         int ammo = stack.stackSize;
 
         drawNumber(ammo, width / 2 - 160, height - 32);
     }
 
-    private void drawHealth()
-    {
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+    private void drawHealth() {
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
-        float healthPercentage = mc.thePlayer.getHealth() / (float)mc.thePlayer.getMaxHealth();
-        int health = (int)(healthPercentage * 100);
+        float healthPercentage = this.mc.thePlayer.getHealth() / (float) this.mc.thePlayer.getMaxHealth();
+        int health = (int) (healthPercentage * 100);
         if (health < 0) health = 0;
 
         drawNumber(health, width / 2 - 116, height - 32);
     }
 
-    private void drawNumber(int i, int x, int y)
-    {
-        GL11.glColor4f(1f, 1f, 1f, 1f);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
+    private void drawNumber(int i, int x, int y) {
+        GLRenderer.setColor4f(1f, 1f, 1f, 1f);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
 
         IntList parts = new IntArrayList();
 
         int prev = 0;
         int mult = 1;
-        while (i / mult != 0)
-        {
+        while (i / mult != 0) {
             int lowerDigits = i % (mult * 10);
             int digit = lowerDigits - prev;
             prev += digit;
@@ -182,17 +163,14 @@ public class HudIngameDoom
         }
     }
 
-    private void drawArmsButtons()
-    {
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+    private void drawArmsButtons() {
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
         int i = 1;
-        int activeSlot = mc.thePlayer.inventory.getCurrentItemIndex() % 9;
-        for (int y = 0; y < 2; y++)
-        {
-            for (int x = 0; x < 5; x++)
-            {
+        int activeSlot = this.mc.thePlayer.inventory.getCurrentItemIndex() % 9;
+        for (int y = 0; y < 2; y++) {
+            for (int x = 0; x < 5; x++) {
                 if (i >= 10) continue;
 
                 int px = width / 2 - 90 + 14 * x;
@@ -205,70 +183,63 @@ public class HudIngameDoom
         }
     }
 
-    private void drawArmsButton(int x, int y, int number, boolean active)
-    {
-        GL11.glColor4f(1f, 1f, 1f, 1f);
-        mc.textureManager.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
+    private void drawArmsButton(int x, int y, int number, boolean active) {
+        GLRenderer.setColor4f(1f, 1f, 1f, 1f);
+        this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/hud/doom.png").bind();
 
         int u = 13;
         int v = 196;
         int textColor = 0xFFFFFFFF;
 
-        if (active)
-        {
+        if (active) {
             u = 0;
             textColor = 0xFFA0A0A0;
         }
 
         drawTexturedModalRect(x, y, u, v, 13, 13);
-        drawStringShadow(fontRenderer, Integer.toString(number % 10), x + 4, y + 3, textColor);
+        drawStringShadow(this.fontRenderer, Integer.toString(number % 10), x + 4, y + 3, textColor);
     }
 
-    private void drawArmor()
-    {
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+    private void drawArmor() {
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
-        float armorPercentage = mc.thePlayer.getPlayerProtectionAmount() / 20f;
-        int armor = (int)(armorPercentage * 100);
+        float armorPercentage = this.mc.thePlayer.getPlayerProtectionAmount() / 20f;
+        int armor = (int) (armorPercentage * 100);
 
         drawNumber(armor, width / 2 + 48, height - 32);
     }
 
-    private void drawHotbarIndicator()
-    {
-//        GL11.glColor4f(1f, 1f, 1f, 1f);
+    private void drawHotbarIndicator() {
+//        GLRenderer.setColor4f(1f, 1f, 1f, 1f);
 //        GL11.glBindTexture(GL11.GL_TEXTURE_2D, mc.renderEngine.getTexture("/assets/minecraft/textures/gui/doom.png"));
 
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
         int x = width / 2 + 76;
         int y = height - 36;
 
-        int selectedHotbar = ((mc.thePlayer.inventory.getHotbarOffset() + 27) % 36) / 9;
+        int selectedHotbar = ((this.mc.thePlayer.inventory.getHotbarOffset() + 27) % 36) / 9;
 
         drawTexturedModalRect(x, y + 9 * selectedHotbar, 0, 129, 6, 6);
     }
 
-    private void drawStacks()
-    {
-        int width = mc.resolution.getScaledWidthScreenCoords();
-        int height = mc.resolution.getScaledHeightScreenCoords();
+    private void drawStacks() {
+        int width = this.mc.resolution.getScaledWidthScreenCoords();
+        int height = this.mc.resolution.getScaledHeightScreenCoords();
 
-        int currentItem = mc.thePlayer.inventory.getCurrentItemIndex();
-        int wrappedCurrentItem = mc.thePlayer.inventory.getCurrentItemIndex() % 9;
+        int currentItem = this.mc.thePlayer.inventory.getCurrentItemIndex();
+        int wrappedCurrentItem = this.mc.thePlayer.inventory.getCurrentItemIndex() % 9;
 
         int offset = 0;
-        if (wrappedCurrentItem >= 5)
-        {
+        if (wrappedCurrentItem >= 5) {
             offset = 3 - (8 - wrappedCurrentItem);
         }
 
         int q = 0;
-        for (int i = currentItem - offset; i < currentItem - offset + 4; i++)
-        {
-            ItemStack stack = mc.thePlayer.inventory.getItem(i);
+        for (int i = currentItem - offset; i < currentItem - offset + 4; i++) {
+            ItemStack stack = this.mc.thePlayer.inventory.getItem(i);
             int x = width / 2 + 94;
             int y = height - 37 + q * 9;
 
@@ -278,48 +249,37 @@ public class HudIngameDoom
         }
     }
 
-    private void drawItemStack(ItemStack stack, int x, int y, boolean selected)
-    {
+    private void drawItemStack(ItemStack stack, int x, int y, boolean selected) {
         if (stack == null) return;
         String name = stack.getDisplayName();
-        
+
         if (name.length() >= 10) name = name.substring(0, 10);
         name = name.toUpperCase();
-        if (selected)
-        {
-            drawStringShadow(fontRenderer, TextFormatting.get(stack.getDisplayColor()) + name, x, y, 0xFFFFFFFF);
-        }
-        else
-        {
-            drawStringNoShadow(fontRenderer, name, x, y, 0xFF404040);
+        if (selected) {
+            drawStringShadow(this.fontRenderer, TextFormatting.get(stack.getDisplayColor()) + name, x, y, 0xFFFFFFFF);
+        } else {
+            drawStringNoShadow(this.fontRenderer, name, x, y, 0xFF404040);
         }
 
         int maxStackSize = stack.getMaxStackSize();
         int stackSize = stack.stackSize;
 
         // Draw stack size
-        if (stackSize < 10)
-        {
-            drawStringShadow(fontRenderer, Integer.toString(stackSize), x + 70, y, 0xFFFFFFA0);
-        }
-        else
-        {
-            drawStringShadow(fontRenderer, Integer.toString(stackSize), x + 64, y, 0xFFFFFFA0);
+        if (stackSize < 10) {
+            drawStringShadow(this.fontRenderer, Integer.toString(stackSize), x + 70, y, 0xFFFFFFA0);
+        } else {
+            drawStringShadow(this.fontRenderer, Integer.toString(stackSize), x + 64, y, 0xFFFFFFA0);
         }
 
         // Draw max stack size
-        if (maxStackSize < 10)
-        {
-            drawStringShadow(fontRenderer, Integer.toString(maxStackSize), x + 88, y, 0xFFFFFFA0);
-        }
-        else
-        {
-            drawStringShadow(fontRenderer, Integer.toString(maxStackSize), x + 82, y, 0xFFFFFFA0);
+        if (maxStackSize < 10) {
+            drawStringShadow(this.fontRenderer, Integer.toString(maxStackSize), x + 88, y, 0xFFFFFFA0);
+        } else {
+            drawStringShadow(this.fontRenderer, Integer.toString(maxStackSize), x + 82, y, 0xFFFFFFA0);
         }
     }
 
-    private enum Face
-    {
+    private enum Face {
         NEUTRAL(0, 224),
         LOOK_RIGHT(32, 224),
         LOOK_LEFT(64, 224),
@@ -332,8 +292,7 @@ public class HudIngameDoom
         public final int u;
         public final int v;
 
-        Face(int u, int v)
-        {
+        Face(int u, int v) {
             this.u = u;
             this.v = v;
         }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
index 43db58db0..0f1359e05 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorBar.java
@@ -1,23 +1,24 @@
 package net.minecraft.client.gui.hud.component;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import org.lwjgl.opengl.GL11;
 
 public class HudComponentArmorBar
     extends HudComponentMovable {
     private final IconCoordinate armor_empty;
     private final IconCoordinate armor_half;
     private final IconCoordinate armor_full;
+
     public HudComponentArmorBar(String key, Layout layout) {
         super(key, 81, 10, layout);
-        armor_empty = TextureRegistry.getTexture("minecraft:gui/hud/armor_empty");
-        armor_half = TextureRegistry.getTexture("minecraft:gui/hud/armor_half");
-        armor_full = TextureRegistry.getTexture("minecraft:gui/hud/armor_full");
+        this.armor_empty = TextureRegistry.getTexture("minecraft:gui/hud/armor_empty");
+        this.armor_half = TextureRegistry.getTexture("minecraft:gui/hud/armor_half");
+        this.armor_full = TextureRegistry.getTexture("minecraft:gui/hud/armor_full");
     }
 
     @Override
@@ -31,28 +32,24 @@ public class HudComponentArmorBar
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.disableState(State.BLEND);
 
         int armorValue = mc.thePlayer.getPlayerProtectionAmount();
         for (int i = 0; i < 10; i++) {
-            if (armorValue > 0)
-            {
+            if (armorValue > 0) {
                 int xArmor = x + getXSize() - i * 8 - 9;
-                if (i * 2 + 1 < armorValue)
-                {
+                if (i * 2 + 1 < armorValue) {
                     // Full armor icon
-                    hud.drawGuiIcon(xArmor, y, 9, 9, armor_full);
+                    hud.drawGuiIcon(xArmor, y, 9, 9, this.armor_full);
                 }
-                if (i * 2 + 1 == armorValue)
-                {
+                if (i * 2 + 1 == armorValue) {
                     // Half armor icon
-                    hud.drawGuiIcon(xArmor, y, 9, 9, armor_half);
+                    hud.drawGuiIcon(xArmor, y, 9, 9, this.armor_half);
                 }
-                if (i * 2 + 1 > armorValue)
-                {
+                if (i * 2 + 1 > armorValue) {
                     // Empty armor icon
-                    hud.drawGuiIcon(xArmor, y, 9, 9, armor_empty);
+                    hud.drawGuiIcon(xArmor, y, 9, 9, this.armor_empty);
                 }
             }
         }
@@ -64,26 +61,23 @@ public class HudComponentArmorBar
         int y = layout.getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.disableState(State.BLEND);
 
         int armorValue = 11;
         for (int i = 0; i < 10; i++) {
             int xArmor = x + getXSize() - i * 8 - 9;
-            if (i * 2 + 1 < armorValue)
-            {
+            if (i * 2 + 1 < armorValue) {
                 // Full armor icon
-                gui.drawGuiIcon(xArmor, y, 9, 9, armor_full);
+                gui.drawGuiIcon(xArmor, y, 9, 9, this.armor_full);
             }
-            if (i * 2 + 1 == armorValue)
-            {
+            if (i * 2 + 1 == armorValue) {
                 // Half armor icon
-                gui.drawGuiIcon(xArmor, y, 9, 9, armor_half);
+                gui.drawGuiIcon(xArmor, y, 9, 9, this.armor_half);
             }
-            if (i * 2 + 1 > armorValue)
-            {
+            if (i * 2 + 1 > armorValue) {
                 // Empty armor icon
-                gui.drawGuiIcon(xArmor, y, 9, 9, armor_empty);
+                gui.drawGuiIcon(xArmor, y, 9, 9, this.armor_empty);
             }
         }
     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorDurability.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorDurability.java
index ac445def4..306b6607d 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorDurability.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentArmorDurability.java
@@ -1,21 +1,18 @@
 package net.minecraft.client.gui.hud.component;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.item.model.ItemModelDispatcher;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
 import net.minecraft.core.enums.HumanArmorShape;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.item.Items;
 
-import static org.lwjgl.opengl.GL11.*;
-
 public class HudComponentArmorDurability
-    extends HudComponentMovable
-{
-    private static final ItemStack[] PREVIEW_STACKS = new ItemStack[] {
+    extends HudComponentMovable {
+    private static final ItemStack[] PREVIEW_STACKS = new ItemStack[]{
         Items.ARMOR_BOOTS_DIAMOND.getDefaultStack(),
         Items.ARMOR_LEGGINGS_DIAMOND.getDefaultStack(),
         Items.ARMOR_CHESTPLATE_DIAMOND.getDefaultStack(),
@@ -41,25 +38,22 @@ public class HudComponentArmorDurability
         int x = this.getLayout().getComponentX(this, xSizeScreen);
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
-        for (int i = 0; i < mc.thePlayer.getNumArmorSlots(); i++)
-        {
+        for (int i = 0; i < mc.thePlayer.getNumArmorSlots(); i++) {
             ItemStack stack = mc.thePlayer.getItemInArmorSlot(HumanArmorShape.values()[i]);
 
-            if (stack != null)
-            {
+            if (stack != null) {
                 int xx = x + 2;
                 int yy = y + 48 - i * 16;
-                ItemModelDispatcher.getInstance().getDispatch(stack).renderGui(Tessellator.instance, null, stack, xx, yy, 1f, 1.0f, partialTick);
-                glDisable(GL_LIGHTING);
+                ItemModelDispatcher.getInstance().getDispatch(stack).renderGui(GLRenderer.getTessellator(), null, stack, xx, yy, LightmapHelper.getLightmapCoord(15, 15), partialTick);
+//                glDisable(GL_LIGHTING);
 
-                if (stack.isItemStackDamageable())
-                {
+                if (stack.isItemStackDamageable()) {
                     float durability = (stack.getMaxDamage() - stack.getMetadata()) / (float) stack.getMaxDamage();
 
                     int l = (int) (durability * 255);
                     final int i1 = 255 - l << 16 | l << 8;
 
-                    mc.font.render(Tessellator.instance, String.valueOf((stack.getMaxDamage() - stack.getMetadata()) + 1), xx + 20, yy + 4).setShadow().setColor(i1).call();
+                    mc.font.render(String.valueOf((stack.getMaxDamage() - stack.getMetadata()) + 1), xx + 20, yy + 4).setShadow().setColor(i1).call();
                 }
             }
         }
@@ -70,23 +64,21 @@ public class HudComponentArmorDurability
         int x = this.getLayout().getComponentX(this, xSizeScreen);
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
-        for (int i = 0; i < PREVIEW_STACKS.length; i++)
-        {
+        for (int i = 0; i < PREVIEW_STACKS.length; i++) {
             ItemStack stack = PREVIEW_STACKS[i];
 
             int xx = x + 2;
             int yy = y + 48 - i * 16;
-            ItemModelDispatcher.getInstance().getDispatch(stack).renderGui(Tessellator.instance, null, stack, xx, yy, 1f, 1.0f, 0.0f);
-            glDisable(GL_LIGHTING);
+            ItemModelDispatcher.getInstance().getDispatch(stack).renderGui(GLRenderer.getTessellator(), null, stack, xx, yy, LightmapHelper.getLightmapCoord(15, 15), 0.0f);
+//            glDisable(GL_LIGHTING);
 
-            if (stack.isItemStackDamageable())
-            {
+            if (stack.isItemStackDamageable()) {
                 float durability = (stack.getMaxDamage() - stack.getMetadata()) / (float) stack.getMaxDamage();
 
                 int l = (int) (durability * 255);
                 final int i1 = 255 - l << 16 | l << 8;
 
-                mc.font.render(Tessellator.instance, String.valueOf((stack.getMaxDamage() - stack.getMetadata()) + 1), xx + 20, yy + 4).setShadow().setColor(i1).call();
+                mc.font.render(String.valueOf((stack.getMaxDamage() - stack.getMetadata()) + 1), xx + 20, yy + 4).setShadow().setColor(i1).call();
             }
         }
     }
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
index 12d145ef3..080de3209 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentCrosshair.java
@@ -1,9 +1,11 @@
 package net.minecraft.client.gui.hud.component;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.render.renderer.BlendFactor;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import org.lwjgl.opengl.GL11;
 
@@ -24,13 +26,13 @@ public class HudComponentCrosshair
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
         // Setup crosshair texture
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
         // Render crosshair
-        GL11.glEnable(GL11.GL_BLEND);
-        GL11.glBlendFunc(GL11.GL_ONE_MINUS_DST_COLOR, GL11.GL_ONE_MINUS_SRC_COLOR);
+        GLRenderer.enableState(State.BLEND);
+        GLRenderer.setBlendFunc(BlendFactor.ONE_MINUS_DST_COLOR, BlendFactor.ONE_MINUS_SRC_COLOR);
         hud.drawGuiIcon(x, y, 15, 15, TextureRegistry.getTexture("minecraft:gui/hud/crosshair"));
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.disableState(State.BLEND);
     }
 
     @Override
@@ -39,7 +41,7 @@ public class HudComponentCrosshair
         int y = layout.getComponentY(this, ySizeScreen);
 
         // Setup crosshair texture
-        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
 
         // Render crosshair
         gui.drawGuiIcon(x, y, 15, 15, TextureRegistry.getTexture("minecraft:gui/hud/crosshair"));
diff --git a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
index 89ea81875..d1c35f580 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/hud/component/HudComponentFireBar.java
@@ -1,11 +1,11 @@
 package net.minecraft.client.gui.hud.component;
 
-import net.minecraft.client.Minecraft;
 import net.minecraft.client.gui.Gui;
 import net.minecraft.client.gui.hud.HudIngame;
 import net.minecraft.client.gui.hud.component.layout.Layout;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.renderer.State;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
-import org.lwjgl.opengl.GL11;
 
 public class HudComponentFireBar
     extends HudComponentMovable {
@@ -24,11 +24,11 @@ public class HudComponentFireBar
         int y = this.getLayout().getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         float fire = (float) mc.thePlayer.remainingFireTicks / (float) mc.thePlayer.maxFireTicks;
-        int fireBar = (int) Math.min(fire * 20,20);
+        int fireBar = (int) Math.min(fire * 20, 20);
 
         for (int i = 0; i < fireBar / 2; i++) {
             hud.drawGuiIcon(x + i * 8, y, 9, 9, TextureRegistry.getTexture("minecraft:gui/hud/fire"));
@@ -41,8 +41,8 @@ public class HudComponentFireBar
         int y = layout.getComponentY(this, ySizeScreen);
 
         // Setup rendering
-        GL11.glColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
-        GL11.glDisable(GL11.GL_BLEND);
+        GLRenderer.setColor4f(1.0f, 1.0f, 1.0f, 1.0f); // Reset color
+        GLRenderer.enableState(State.BLEND);
 
         int fireBar = 11;
         for (int i = 0; i < fireBar / 2; i++) {
